TODAS ( 349 ) NOVEDADES ( 154 ) SEGURIDAD ( 120 ) ANDROID ( 97 ) GOOGLE ( 77 ) EDUCACIÓN ( 67 ) PRODUCTOS ( 63 ) APPLE ( 58 ) WINDOWS ( 46 ) MICROSOFT ( 38 ) IOS ( 29 ) GOOGLE APPS ( 21 ) LINUX ( 20 ) ACCESIBILIDAD ( 18 ) PERSONAJES ( 17 ) CIENCIA ( 14 ) PROGRAMACIÓN ( 14 ) ROBÓTICA ( 14 ) UBUNTU ( 14 ) FACEBOOK ( 13 ) GOOGLE+ ( 11 ) INCIBE-OSI ( 10 ) RANSOMWARE ( 9 ) WHATSAPP ( 9 ) OSX ( 8 ) SAMSUNG ( 8 ) IBM ( 7 ) IA ( 6 ) IMPRESIÓN 3D ( 6 ) INTEL ( 6 ) PHISHING ( 6 ) SALUD ( 6 ) TWITTER ( 6 ) JUSTICIA ( 5 ) PROMOCIÓN ( 5 ) REALIDAD VIRTUAL ( 5 ) ASESORAMIENTO ( 4 ) CANARIAS ( 4 ) CRYPTOVIRUS ( 4 ) FORMACIÓN ( 4 ) NAVIDAD ( 4 ) NIÑOS ( 4 ) OFICINA ( 4 ) CURSOS ( 3 ) EMPRESAS ( 3 ) HISENSE ( 3 ) MAC ( 3 ) PLAYSTATION ( 3 ) PROTECCIÓN DE DATOS ( 3 ) REDES SOCIALES ( 3 ) SMARTPHONE ( 3 ) SONY ( 3 ) BIENVENID@ ( 2 ) D-LINK ( 2 ) FAMILIAS ( 2 ) FEMINISMO ( 2 ) GOBIERNO ( 2 ) MALWARE ( 2 ) MANTENIMIENTO ( 2 ) REALIDAD AUMENTADA ( 2 ) SEGURIDAD SOCIAL ( 2 ) TROYANOS ( 2 ) 11F ( 1 ) AGPD ( 1 ) ANDROID ONE ( 1 ) AVPOS ( 1 ) AZURE ( 1 ) CLOUD ( 1 ) DISPONIBILIDAD ( 1 ) EPSON ( 1 ) FRAUDE ( 1 ) GUARDIA CIVIL ( 1 ) HACIENDA ( 1 ) HITACHI ( 1 ) IGUALDAD ( 1 ) LG ( 1 ) MOVISTAR ( 1 ) MUJER ( 1 ) MUJERYCIENCIA ( 1 ) NINTENDO ( 1 ) NIÑASENLACIENCIA ( 1 ) OFFICE 365 ( 1 ) OKI ( 1 ) PHP ( 1 ) PLAN DIRECTOR ( 1 ) POLÍTICAS ( 1 ) PRIMUX ( 1 ) PROTECCIÓN ( 1 ) RANSOM ( 1 ) RENTA 2018 ( 1 ) REXEL ( 1 ) RRHH ( 1 ) SECUESTRO ( 1 ) SERVIDORES ( 1 ) SMARTBAND ( 1 ) SQL ( 1 ) TERMINAL SERVER ( 1 ) TPV ( 1 ) WIFI ( 1 ) WOLDER ( 1 ) WPA2 ( 1 ) XIAOMI ( 1 )

lunes, 16 de octubre de 2017

Importante vulnerabilidad en WPA2

Fecha de publicación: 
16/10/2017
Importancia: 
5 - Crítica
Recursos afectados: 
Dispositivos que utilizan redes inalámbricas a través del protocolo WPA2, tanto puntos de acceso y routers como clientes wifi, como teléfonos móviles o equipos portátiles.
Actualmente se han confirmado los siguientes dispositivos como vulnerables: Android, Linux, Apple, Windows, OpenBSD, MediaTek, Linksys entre otros. Para ampliar información puede ponerse en contacto con su proveedor.
Nota: A medida que se conozcan versiones y sistemas operativos afectados se completará esta información.
Descripción: 
Se ha descubierto una importante vulnerabilidad en el protocolo de cifrado de comunicaciones inalámbricas WPA2. Según los detalles publicados, esta vulnerabilidad permite que en algunos casos un atacante pueda capturar y descifrar el tráfico de una red WiFi que utilice cifrado WPA2.
Aunque la vulnerabildad no permite descubrir la contraseña utilizada, si es posible capturar y descifrar todo el tráfico a partir de un fallo en el proceso de intercambio de claves de cifrado utilizadas en la comunicación entre el punto de acceso y los clientes de la red.
Solución: 
Aún no se conoce una solución para esta vulnerabilidad.
Nota: Las actualizaciones con los diferentes parches se irán publicando por los distintos fabricantes de dispositivos y sistemas operativos, y se completará esta información a medida que se conozcan.
Las recomendaciones para mitigar esta vulnerabilidad son las siguientes:
  • Seguir utilizando WPA2, ya que sigue siendo el mecanismo de seguridad más fiable.
  • Evitar utilizar redes inalámbricas para enviar o consultar información sensible.
  • Si tu dispositivo lo permite, utilizar WPA en combinación con AES-CCMP y evitando WPA-TKIP.
Detalle: 
La vulnerabilidad descubierta en el protocolo WPA2 se produce en el proceso de intercambio de claves (handshake) entre el punto de acceso y el cliente. Este proceso de intercambio de claves tiene 4 pasos. En el paso 3 del mismo es donde se puede producir un ataque, forzando a los clientes a reinstalar la clave ya intercambiada y permitiendo a partir de esa nueva reinstalación reiniciar los parámetros asociados (números de paquetes trasmitidos, vectores de inicialización (nonce) paquetes enviados o reenviados, etc.).
Estos ataques se producen debido a la posibilidad de volver a utilizar la misma clave con valores nonce que ya se utilizaron en otro momento de la comunicación, facilitando de esta manera que un mensaje con un contenido conocido vuelva a ser enviado y ser utilizado para descifrar mensajes con el mismo valor.
Al reiniciar estos parámetros, el protocolo de cifrado puede verse comprometido y ser atacado descifrando la comunicación, reenviando paquetes, etc. Esta vulnerabilidad se ha demostrado utilizando un conjunto de técnicas que han sido denomidadas como key reinstallation attacks (KRACKs).
Se ha publicado un vídeo con una prueba de concepto de esta vulnerabilidad:



Referencias: 

No hay comentarios :

Publicar un comentario

Gracias por su comentario. En breve será revisado y publicado.